package vut.msa.monitor.system;

import org.hyperic.sigar.DirUsage;
import org.hyperic.sigar.FileSystem;
import org.hyperic.sigar.FileSystemUsage;

/**
 * Wrapper pre informacie o disku.
 */
public class FileSystemCompleteInfo {

    private FileSystem fileSystem;
    private FileSystemUsage fsUsage;
    private DirUsage backups;
    private boolean usedForBackup;

    public FileSystemCompleteInfo(FileSystem fileSystem, 
                                  FileSystemUsage fsUsage,
                                  DirUsage backups)
    {
        this.fileSystem = fileSystem;
        this.fsUsage = fsUsage;
        this.backups = backups;
    }

    //PROPERTY: fileSystem
    public FileSystem getFileSystem() { return fileSystem; }
    public void setFileSystem(FileSystem fileSystem) { this.fileSystem = fileSystem; }

    //PROPERTY: fsUsage
    public FileSystemUsage getFsUsage() { return fsUsage; }
    public void setFsUsage(FileSystemUsage fsUsage) { this.fsUsage = fsUsage; }

    //PROPERTY: backups
    public DirUsage getBackups() { return backups; }
    public void setBackups(DirUsage backups) { this.backups = backups; }

    //PROPERTY: usedForBackup
    public boolean isUsedForBackup() { return usedForBackup; }
    public void setUsedForBackup(boolean usedForBackup) {
        this.usedForBackup = usedForBackup;
    }


}
